VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Content::Library::StorageBacking Class Reference
Inheritance diagram for Com::Vmware::Content::Library::StorageBacking:

## Classes
class | Type

## Avaliable Methods
public method | get_storage_uri ()
public method | set_storage_uri ()
public method | get_datastore_id ()
public method | set_type ()
public method | get_type ()
public method | new ()
public method | set_datastore_id ()

## Detailed Description

The `Com::Vmware::Content::Library::StorageBacking` class defines a storage location where content in a library will be stored. The storage location can either be a Datastore or Other type.

## Member Function Documentation

public method Com::Vmware::Content::Library::StorageBacking::get_datastore_id | ( |  | ) |

Gets the value of 'datastore_id' property.

Return values

  datastore_id | - The current value of the field. Identifier of the datastore used to store the content in the library. optional#

Code:
click to view
# Number of lines of code in get_datastore_id: 4
sub get_datastore_id {
my ($self, %args) = @_;
return $self->{'datastore_id'};
}

public method Com::Vmware::Content::Library::StorageBacking::get_storage_uri | ( |  | ) |

Gets the value of 'storage_uri' property.

Return values

  storage_uri | - The current value of the field. URI identifying the location used to store the content in the library.

The following URI formats are supported:

vSphere 6.5

- nfs://server/path?version=4 (for vCenter Server Appliance only) - Specifies an NFS Version 4 server.
- nfs://server/path (for vCenter Server Appliance only) - Specifies an NFS Version 3 server. The nfs://server:/path format is also supported.
- smb://server/path - Specifies an SMB server or Windows share.

vSphere 6.0 Update 1

- nfs://server:/path (for vCenter Server Appliance only)
- file://unc-server/path (for vCenter Server for Windows only)
- file:///mount/point (for vCenter Server Appliance only) - Local file URIs are supported only when the path is a local mount point for an NFS file system. Use of file URIs is strongly discouraged. Instead, use an NFS URI to specify the remote file system.

vSphere 6.0

- nfs://server:/path (for vCenter Server Appliance only)
- file://unc-server/path (for vCenter Server for Windows only)
- file:///path - Local file URIs are supported but strongly discouraged because it may interfere with the performance of vCenter Server.

optional#

Code:
click to view
# Number of lines of code in get_storage_uri: 4
sub get_storage_uri {
my ($self, %args) = @_;
return $self->{'storage_uri'};
}

public method Com::Vmware::Content::Library::StorageBacking::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Type (DATASTORE, OTHER) of class Com::Vmware::Content::Library::StorageBacking . optional#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Content::Library::StorageBacking::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Content::Library::StorageBacking structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 28
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'type',
'case_map' => {
'DATASTORE' => ['datastore_id'],
'OTHER' => ['storage_uri'],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{type} = $args{'type'};
$self->{datastore_id} = $args{'datastore_id'};
$self->{storage_uri} = $args{'storage_uri'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Content::Library::StorageBacking');
$self->set_binding_name('name' => 'com.vmware.content.library.storage_backing');
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Content::Library', 'type_name' => 'StorageBacking::Type')));
$self->set_binding_field('key' => 'datastore_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'storage_uri', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::URIType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Content::Library::StorageBacking::set_datastore_id | ( |  | ) |

Sets the given value for 'datastore_id' property.

Parameters

  datastore_id | - New value for the field. Identifier of the datastore used to store the content in the library.

Code:
click to view
# Number of lines of code in set_datastore_id: 5
sub set_datastore_id {
my ($self, %args) = @_;
$self->{'datastore_id'} = $args{'datastore_id'};
return;
}

public method Com::Vmware::Content::Library::StorageBacking::set_storage_uri | ( |  | ) |

Sets the given value for 'storage_uri' property.

Parameters

  storage_uri | - New value for the field. URI identifying the location used to store the content in the library.

The following URI formats are supported:

vSphere 6.5

- nfs://server/path?version=4 (for vCenter Server Appliance only) - Specifies an NFS Version 4 server.
- nfs://server/path (for vCenter Server Appliance only) - Specifies an NFS Version 3 server. The nfs://server:/path format is also supported.
- smb://server/path - Specifies an SMB server or Windows share.

vSphere 6.0 Update 1

- nfs://server:/path (for vCenter Server Appliance only)
- file://unc-server/path (for vCenter Server for Windows only)
- file:///mount/point (for vCenter Server Appliance only) - Local file URIs are supported only when the path is a local mount point for an NFS file system. Use of file URIs is strongly discouraged. Instead, use an NFS URI to specify the remote file system.

vSphere 6.0

- nfs://server:/path (for vCenter Server Appliance only)
- file://unc-server/path (for vCenter Server for Windows only)
- file:///path - Local file URIs are supported but strongly discouraged because it may interfere with the performance of vCenter Server.

Code:
click to view
# Number of lines of code in set_storage_uri: 5
sub set_storage_uri {
my ($self, %args) = @_;
$self->{'storage_uri'} = $args{'storage_uri'};
return;
}

public method Com::Vmware::Content::Library::StorageBacking::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Type (DATASTORE, OTHER) of class Com::Vmware::Content::Library::StorageBacking .

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/Library/StorageBacking.pm